# Copyright (c) 2014  Dave Love, University of Liverpool
# Licence as for the package itself

Name:		otf2prv
Version:	1.0
Release:	1%{?dist}
Summary:	Translator from OTF1 format to Paraver traces

License:	LGPLv2+
URL:		http://www.bsc.es/computer-sciences/performance-tools
# (Not directly downloadable) from
# http://www.bsc.es/computer-sciences/performance-tools/downloads
Source0:	otf2prv_src.tar.gz
Patch1:		otf2prv-format.patch

BuildRequires:	openmpi-devel automake zlib-devel paraver-devel

%description
Converts traces in version 1 Open Trace Format (e.g. from Vampirtrace
in Open MPI) to Paraver's format for analysis in Paraver.


%prep
%setup -q -n otf2prv
%patch1 -p1
pushd otf2prv
aclocal -Im4
autoheader
autoconf
automake -a
popd


%build
%_openmpi_load
pushd otf2prv
export LDFLAGS=-L%_libdir/paraver
%configure
make %{?_smp_mflags} otf2prv_LDADD="-Wl,-rpath,$MPI_LIB -L$MPI_LIB -lopen-trace-format -lz -lm" AM_CPPFLAGS="-I$MPI_INCLUDE/vampirtrace/open-trace-format -I../include"
popd
%_openmpi_unload


%install
rm -rf $RPM_BUILD_ROOT
cd otf2prv
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc otf2prv/COPYING otf2prv/TODO
%_bindir/%name


%changelog
* Sat Nov 22 2014 Dave Love <d.love@liverpool.ac.uk> - 1.0-1
- Initial packaging

